Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Multi_Priority_Mapping Class Reference

`#include <Multi_Priority_Mapping.h>`

Inheritance diagram for TAO_Multi_Priority_Mapping:

[legend]
Collaboration diagram for TAO_Multi_Priority_Mapping:

[legend]
List of all members.

## Public Methods
| TAO_Multi_Priority_Mapping (int base_native_priority, int base_corba_priority, int priority_spacing=1, int priorities_contiguous=1, int policy=ACE_SCHED_FIFO)
virtual | ~TAO_Multi_Priority_Mapping (void)
virtual CORBA::Boolean | to_native (RTCORBA::Priority corba_priority, RTCORBA::NativePriority &native_priority)
virtual CORBA::Boolean | to_CORBA (RTCORBA::NativePriority native_priority, RTCORBA::Priority &corba_priority)
## Private Attributes
int | base_native_priority_
int | base_corba_priority_
const int | priority_spacing_
const int | priorities_contiguous_
int | policy_
int | min_
int | max_

## Constructor & Destructor Documentation

TAO_Multi_Priority_Mapping::TAO_Multi_Priority_Mapping | ( | int | base_native_priority,
|  | int | base_corba_priority,
|  | int | priority_spacing = 1,
|  | int | priorities_contiguous = 1,
|  | int | policy = ACE_SCHED_FIFO
| ) |

TAO_Multi_Priority_Mapping::~TAO_Multi_Priority_Mapping | ( | void |  | ) | `[virtual]`

## Member Function Documentation

CORBA::Boolean TAO_Multi_Priority_Mapping::to_CORBA | ( | RTCORBA::NativePriority | native_priority,
|  | RTCORBA::Priority & | corba_priority
| ) | `[virtual]`

| Implements TAO_Priority_Mapping.

CORBA::Boolean TAO_Multi_Priority_Mapping::to_native | ( | RTCORBA::Priority | corba_priority,
|  | RTCORBA::NativePriority & | native_priority
| ) | `[virtual]`

| Implements TAO_Priority_Mapping.

## Member Data Documentation

int TAO_Multi_Priority_Mapping::base_corba_priority_`[private]`

int TAO_Multi_Priority_Mapping::base_native_priority_`[private]`

int TAO_Multi_Priority_Mapping::max_`[private]`

int TAO_Multi_Priority_Mapping::min_`[private]`

int TAO_Multi_Priority_Mapping::policy_`[private]`

const int TAO_Multi_Priority_Mapping::priorities_contiguous_`[private]`

const int TAO_Multi_Priority_Mapping::priority_spacing_`[private]`

The documentation for this class was generated from the following files:

- Multi_Priority_Mapping.h
- Multi_Priority_Mapping.cpp